%define upstream_name    Dist-Zilla-PluginBundle-Author-KENTNL
%define upstream_version 1.2.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Generate a C<dist.ini> for @Author::KENTNL projects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Dist::Zilla) >= 4.300.0
BuildRequires: perl(Dist::Zilla::File::FromCode)
BuildRequires: perl(Dist::Zilla::Plugin::Authority)
BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs) >= 4.200.11
BuildRequires: perl(Dist::Zilla::Plugin::CheckExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::ConfirmRelease)
BuildRequires: perl(Dist::Zilla::Plugin::EOLTests) >= 0.20.0
BuildRequires: perl(Dist::Zilla::Plugin::FakeRelease)
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Check) >= 1.102.40
BuildRequires: perl(Dist::Zilla::Plugin::Git::CommitBuild) >= 1.102.40
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion) >= 1.102.810
BuildRequires: perl(Dist::Zilla::Plugin::Git::Tag) >= 1.102.40
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta) >= 0.80.0
BuildRequires: perl(Dist::Zilla::Plugin::License)
BuildRequires: perl(Dist::Zilla::Plugin::Manifest)
BuildRequires: perl(Dist::Zilla::Plugin::ManifestSkip)
BuildRequires: perl(Dist::Zilla::Plugin::MetaConfig)
BuildRequires: perl(Dist::Zilla::Plugin::MetaData::BuiltWith) >= 0.10.147.160
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides) >= 1.120.445.180
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides::Package) >= 1.110.444.40
BuildRequires: perl(Dist::Zilla::Plugin::MetaTests)
BuildRequires: perl(Dist::Zilla::Plugin::MetaYAML)
BuildRequires: perl(Dist::Zilla::Plugin::MinimumPerl)
BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuild)
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver) >= 3.93.321
BuildRequires: perl(Dist::Zilla::Plugin::Prereqs)
BuildRequires: perl(Dist::Zilla::Plugin::PruneCruft)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod) >= 0.120.0
BuildRequires: perl(Dist::Zilla::Plugin::ReportVersions::Tiny) >= 1.10.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::CPAN::Changes)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile) >= 1.112.400
BuildRequires: perl(Dist::Zilla::Plugin::Test::Kwalitee) >= 1.112.410
BuildRequires: perl(Dist::Zilla::Plugin::Test::MinimumVersion)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Perl::Critic) >= 1.102.280
BuildRequires: perl(Dist::Zilla::Plugin::TestRelease)
BuildRequires: perl(Dist::Zilla::Plugin::Twitter) >= 0.11.0
BuildRequires: perl(Dist::Zilla::Plugin::UploadToCPAN)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::MintingProfile::ShareDir)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::pushd)
BuildRequires: perl(FindBin)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::Protocol::https) >= 6.0.0
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose) >= 1.10.0
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Has::Sugar) >= 0.50.440
BuildRequires: perl(MooseX::Types) >= 0.210.0
BuildRequires: perl(Net::SSLeay) >= 1.360.0
BuildRequires: perl(Path::Class)
BuildRequires: perl(Perl::PrereqScanner) >= 1.6.0
BuildRequires: perl(Pod::Coverage::TrustPod)
BuildRequires: perl(Pod::Weaver::Plugin::Encoding)
BuildRequires: perl(String::Formatter)
BuildRequires: perl(Test::CPAN::Meta)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::EOL) >= 0.900.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::File::ShareDir)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-PluginBundle-KENTNL <= 0.10.173.220
Provides:   perl-Dist-Zilla-PluginBundle-KENTNL

%description
This is the plug-in bundle that KENTNL uses. It exists mostly because he is
very lazy and wants others to be using what he's using if they want to be
doing work on his modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Mon Dec 12 2011 jquelin <jquelin> 1.2.0-1.mga2
+ Revision: 180929
- update to 1.2.0

* Thu Oct 13 2011 jquelin <jquelin> 1.0.22-1.mga2
+ Revision: 154484
- update to 1.0.22

* Wed Aug 31 2011 jquelin <jquelin> 1.0.17-1.mga2
+ Revision: 137152
- update to 1.0.17
- update to 1.0.15

* Thu Apr 14 2011 jquelin <jquelin> 1.0.6-1.mga1
+ Revision: 85043
- update to 1.0.6

* Tue Mar 15 2011 jquelin <jquelin> 1.0.2-1.mga1
+ Revision: 71737
- imported package perl-Dist-Zilla-PluginBundle-Author-KENTNL


* Tue Mar 15 2011 cpan2dist 1.0.2-1mga
- initial mageia release, generated with cpan2dist
